# Assets

Assets are the core resource in Panjaya Dubbing Studio. An asset represents a source video you want to dub into different languages.
Each asset can be dubbed into multiple languages, and every language is assigned a unique dubbing ID. You can
optionally add SRT files for better accuracy.

 - [GET /v1/assets/](https://docs.panjaya.ai/apis/assets/assets-get_assets.md): Get a paginated list of your assets. This endpoint allows you to fetch all your assets with basic metadata, including the asset's current status and associated dubbings. For available versions of each
 - [POST /v1/assets/](https://docs.panjaya.ai/apis/assets/assets-create_asset.md): Creating an asset is the first step to dubbing your video with Panjaya Dubbing Studio. This endpoint allows you to: - Upload a source video - Configure the necessary parameters to initiate the dubbing
 - [POST /v1/assets/upload](https://docs.panjaya.ai/apis/assets/assets-upload_asset.md): Upload an asset video file directly to Panjaya Dubbing Studio. This endpoint allows you to upload a video file directly, saving the need to upload to an external storage service. It accepts the same p
 - [GET /v1/assets/{asset_id}](https://docs.panjaya.ai/apis/assets/assets-get_asset.md): After creating an asset - either through the Panjaya Dubbing Studio API or by uploading it via the Panjaya Dubbing Studio web interface - you can easily fetch detailed information about the asset by s
 - [POST /v1/assets/{asset_id}/languages](https://docs.panjaya.ai/apis/assets/assets-add_languages.md): With this endpoint, you can add new languages to an existing asset. Once you make the request, Panjaya will initiate a new dubbing process for each added language. Once the process is complete, you w
